## pysycache 3.1

=== linux/Makefile ===
# Makefile
DESTDIR=
pysycache : pysycache.c
	gcc -O2 -o pysycache pysycache.c

install : pysycache
	mkdir -vp $(DESTDIR)/usr/games
#        install --mode=2755 --group=pysycache pysycache $(DESTDIR)/usr/games
	cp ./pysycache $(DESTDIR)/usr/games
	chmod 2755 $(DESTDIR)/usr/games/pysycache
	chown pysycache:pysycache $(DESTDIR)/usr/games/pysycache

=== debian/changelog ===
pysycache (3.1-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format  
  * debian/control:
     - bumped standards version to 3.8.4.
     - removed python-dev build-dependency
	 - added quilt build dependency
  * debian/rules: modified to use quilt
  * debian/patches/console_encoding.patch (Closes: #502720, #553636)
  * debian/postinst: added setgid to pysycache script (Closes:  #510217)  
  
 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 05 Apr 2010 10:44:50 +0200

pysycache (3.1-2) unstable; urgency=low

  * Replaced ttf-bitstream dependency by ttf-dejavu (Closes: #461285)
    - modified debian/control
    - modified debian/pysycache.links 
  * Bump Standards-Version to 3.8.0, no changes needed.
  * Fixed .desktop files
  
 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 07 Jul 2008 10:44:08 +0200

pysycache (3.1-1) unstable; urgency=low

  * New upstream release (Closes: #453728)
  * Updated debian/copyright with the new files authors
  * Added four new themes for mouse move games: food, plants, sky, animals and 
    sports
  * debian/control: Use new Homepage field and updated policy version.
  * Updated debian menu Apps category

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sat,  8 Dec 2007 13:50:15 +0100

pysycache (3.0.1-2) unstable; urgency=low

  * Remove pysycache dependency on data packages (Closes: #437384)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sun, 12 Aug 2007 17:08:52 +0200

pysycache (3.0.1-1) unstable; urgency=low

  * Initial Debian Release (Closes: #428410).
  * debian/patches/01_fast_quitting.patch to avoid the original slow exit
  * debian/patches/02_spanish_translation.patch

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Tue, 12 Jun 2007 16:13:22 +0000

=== debian/control ===
Source: pysycache
Section: games
Priority: extra
Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
Homepage: http://www.pysycache.org
Build-Depends: debhelper (>= 5), python, python-support (>= 0.4), quilt
Standards-Version: 3.8.4

Package: pysycache
Architecture: all
Depends: ttf-dejavu, ${python:Depends}, python-pygame, ${misc:Depends}, pysycache-buttons-ice | pysycache-buttons-beerabbit | pysycache-buttons-crapaud | pysycache-buttons-wolf, pysycache-click-dinosaurs | pysycache-click-sea, pysycache-dblclick-appleandpear | pysycache-dblclick-butterfly, pysycache-i18n, pysycache-images, pysycache-move-animals | pysycache-move-food | pysycache-move-plants | pysycache-move-sky | pysycache-move-sports, pysycache-puzzle-cartoons | pysycache-puzzle-photos, pysycache-sounds
Description: Educational game to teach children to use the mouse
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.

Package: pysycache-buttons-beerabbit     
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Bee-rabbit images for buttons activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are the bee-rabbit images for click exercices.

Package: pysycache-buttons-crapaud     
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Crapaud images for buttons activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are the crapaud images for click exercices.

Package: pysycache-buttons-ice  
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Ice images for buttons activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are the ice images for click exercices.

Package: pysycache-buttons-wolf     
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Wolf images for buttons activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are the wolf images for click exercices.

Package: pysycache-click-dinosaurs  
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Dinosaurs images for click activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are the dinosaurs images for camera exercices

Package: pysycache-click-sea  
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Sea images for click activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are the sea images for camera exercices

Package: pysycache-dblclick-appleandpear  
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Apple and pear images for double click activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are apple and pears images for double click exercices

Package: pysycache-dblclick-butterfly  
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Butterfly images for double click activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are butterfly images for double click exercices

Package: pysycache-i18n
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Translations for PySyCache
 A collection of some activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are the Danish, German, Spanish, English, Dutch, Finn, French, Italian
 and Portuguese translation files for PySyCache.

Package: pysycache-images
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Images for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are images needed by pysycache to be used.

Package: pysycache-move-animals 
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Animals images for mouse move activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are animals images for a mouse move exercice.

Package: pysycache-move-food 
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Food images for mouse move activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are food images for a mouse move exercice.
  
Package: pysycache-move-plants  
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Plants images for mouse move activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are plants images for a mouse move exercice.

Package: pysycache-move-sky  
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Sky images for mouse move activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are sky images for a mouse move exercice.

Package: pysycache-move-sports 
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Sports images for mouse move activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are sports images for a mouse move exercice.
     
Package: pysycache-puzzle-cartoons  
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Cartoons images for puzzle activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are cartoon images for a puzzle exercice

Package: pysycache-puzzle-photos  
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: Photos for puzzle activities for PySyCache
 A collection of activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are photos for a puzzle exercice

Package: pysycache-sounds
Architecture: all
Depends: ${misc:Depends}
Recommends: pysycache
Description: A collection of sounds to be used with PySyCache
 A collection of some activities based on simple objects, photographies, 
 numbers and letters with their sounds in different languages.
 The activities make children practice on clicking, double-clicking, drag and 
 drop, moving and identify the mouse buttons.
 From its website many packages can be downloaded to add new photos and text to
 the activities.
 .
 These are sounds PySyCache uses.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

config.status: patch
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: config.status
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	${MAKE} -f debian/rules unpatch	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	chmod +x debian/game.sh 
	dh_installdirs
	cp $(CURDIR)/debian/pysycache.lintian-overrides $(CURDIR)/debian/pysycache/usr/share/lintian/overrides/pysycache

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
	dh_pysupport
	dh_installman linux/man/pysycache.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
